> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a conference participant

> Updates a conference participant



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/conference-participants.yml post /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label}
openapi: 3.1.0
info:
  title: Telnyx TeXML Conference Participants API
  version: 2.0.0
  description: API for managing TeXML Conferences and Participants.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label}:
    post:
      tags:
        - TeXML REST Commands
      summary: Update a conference participant
      description: Updates a conference participant
      operationId: UpdateTexmlConferenceParticipant
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
        - $ref: '#/components/parameters/CallSidOrParticipantLabel'
      requestBody:
        description: Update Conference Participant request object
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/call-scripting_UpdateConferenceParticipantRequest
      responses:
        '200':
          $ref: '#/components/responses/GetParticipantResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const participant = await
            client.texml.accounts.conferences.participants.update(
              'call_sid_or_participant_label',
              { account_sid: 'account_sid', conference_sid: 'conference_sid' },
            );


            console.log(participant.account_sid);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            participant = client.texml.accounts.conferences.participants.update(
                call_sid_or_participant_label="call_sid_or_participant_label",
                account_sid="account_sid",
                conference_sid="conference_sid",
            )
            print(participant.account_sid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tparticipant, err := client.Texml.Accounts.Conferences.Participants.Update(\n\t\tcontext.TODO(),\n\t\t\"call_sid_or_participant_label\",\n\t\ttelnyx.TexmlAccountConferenceParticipantUpdateParams{\n\t\t\tAccountSid:    \"account_sid\",\n\t\t\tConferenceSid: \"conference_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", participant.AccountSid)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantUpdateParams;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantUpdateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ParticipantUpdateParams params = ParticipantUpdateParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .callSidOrParticipantLabel("call_sid_or_participant_label")
                        .build();
                    ParticipantUpdateResponse participant = client.texml().accounts().conferences().participants().update(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            participant = telnyx.texml.accounts.conferences.participants.update(
              "call_sid_or_participant_label",
              account_sid: "account_sid",
              conference_sid: "conference_sid"
            )

            puts(participant)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $participant = $client->texml->accounts->conferences->participants->update(
                'call_sid_or_participant_label',
                accountSid: 'account_sid',
                conferenceSid: 'conference_sid',
                announceMethod: 'GET',
                announceURL: 'https://www.example.com/announce.xml',
                beepOnExit: false,
                callSidToCoach: 'v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ',
                coaching: false,
                endConferenceOnExit: false,
                hold: true,
                holdMethod: 'POST',
                holdURL: 'https://www.example.com/hold-music.xml',
                muted: true,
                waitURL: 'https://www.example.com/wait_music.mp3',
              );

              var_dump($participant);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml:accounts:conferences:participants update \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid \
              --call-sid-or-participant-label call_sid_or_participant_label
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
    CallSidOrParticipantLabel:
      name: call_sid_or_participant_label
      in: path
      required: true
      description: CallSid or Label of the Participant to update.
      schema:
        type: string
  schemas:
    call-scripting_UpdateConferenceParticipantRequest:
      type: object
      title: Update Conference Participant Request
      properties:
        Muted:
          description: Whether the participant should be muted.
          example: true
          type: boolean
        Hold:
          description: Whether the participant should be on hold.
          example: true
          type: boolean
        HoldUrl:
          description: >-
            The URL to be called using the `HoldMethod` for music that plays
            when the participant is on hold. The URL may return an MP3 file, a
            WAV file, or a TwiML document that contains `<Play>`, `<Say>`,
            `<Pause>`, or `<Redirect>` verbs.
          example: https://www.example.com/hold-music.xml
          type: string
        HoldMethod:
          description: The HTTP method to use when calling the `HoldUrl`.
          example: POST
          enum:
            - GET
            - POST
          type: string
        AnnounceUrl:
          description: >-
            The URL to call to announce something to the participant. The URL
            may return an MP3 fileo a WAV file, or a TwiML document that
            contains `<Play>`, `<Say>`, `<Pause>`, or `<Redirect>` verbs.
          example: https://www.example.com/announce.xml
          type: string
        AnnounceMethod:
          description: The HTTP method used to call the `AnnounceUrl`. Defaults to `POST`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        WaitUrl:
          description: >-
            The URL to call for an audio file to play while the participant is
            waiting for the conference to start.
          example: https://www.example.com/wait_music.mp3
          type: string
        BeepOnExit:
          description: >-
            Whether to play a notification beep to the conference when the
            participant exits.
          example: false
          type: boolean
        EndConferenceOnExit:
          description: Whether to end the conference when the participant leaves.
          example: false
          type: boolean
        Coaching:
          description: >-
            Whether the participant is coaching another call. When `true`,
            `CallSidToCoach` has to be given.
          example: false
          type: boolean
        CallSidToCoach:
          description: >-
            The SID of the participant who is being coached. The participant
            being coached is the only participant who can hear the participant
            who is coaching.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
          type: string
      example:
        BeepOnExit: false
    ParticipantResource:
      type: object
      title: Participant resource
      example:
        account_sid: 4e71926f-8f13-450e-b91c-23c2ef786aa6
        api_version: v2/texml
        call_sid: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        call_sid_legacy: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching: false
        conference_sid: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
        date_created: Fri, 27 Oct 2023 07:41:58 +0000
        date_updated: Fri, 27 Oct 2023 07:41:58 +0000
        end_conference_on_exit: false
        hold: false
        muted: false
        status: completed
        uri: >-
          /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
      properties:
        account_sid:
          type: string
          description: The id of the account the resource belongs to.
          example: 61bf923e-5e4d-4595-a110-56190ea18a1b
        api_version:
          type: string
          description: The version of the API that was used to make the request.
          example: v2/texml
        call_sid:
          type: string
          description: The identifier of this participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        call_sid_legacy:
          type: string
          description: The identifier of this participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching:
          type: boolean
          description: Whether the participant is coaching another call.
          example: false
        coaching_call_sid:
          type: string
          description: The identifier of the coached participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching_call_sid_legacy:
          type: string
          description: The identifier of the coached participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        date_created:
          type: string
          description: The timestamp of when the resource was created.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        date_updated:
          type: string
          description: The timestamp of when the resource was last updated.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        end_conference_on_exit:
          type: boolean
          description: Whether the conference ends when the participant leaves.
          example: false
        hold:
          type: boolean
          description: Whether the participant is on hold.
          example: false
        muted:
          type: boolean
          description: Whether the participant is muted.
          example: false
        status:
          type: string
          description: The status of the participant's call in the conference.
          enum:
            - connecting
            - connected
            - completed
          example: connected
        uri:
          type: string
          description: The relative URI for this participant.
          example: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
        conference_sid:
          type: string
          format: uuid
          description: The unique identifier for the conference.
          example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  responses:
    GetParticipantResponse:
      description: Participant resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ParticipantResource'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````